#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ptr
version:              0.16.8.1
visibility:           public
id:                   ptr-0.16.8.1-28N4enxFhUA3MJl5UlrYyA
key:                  ptr-0.16.8.1-28N4enxFhUA3MJl5UlrYyA
license:              MIT
copyright:            (c) 2017, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/ptr
synopsis:             Abstractions for operations on pointers
category:             Ptr, Data
abi:                  23ebf6ddb13d2a689ffd1b361dba5ab5
exposed:              True
exposed-modules:
    Ptr.ByteString Ptr.IO Ptr.Parse Ptr.ParseUnbound Ptr.Peek Ptr.Poke
    Ptr.PokeAndPeek Ptr.Poking Ptr.Receive

hidden-modules:
    Ptr.PokeIO Ptr.Prelude Ptr.Receive.Core Ptr.UncheckedShifting
    Ptr.List

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ptr-0.16.8.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ptr-0.16.8.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/ptr-0.16.8.1
hs-libraries:         HSptr-0.16.8.1-28N4enxFhUA3MJl5UlrYyA
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    profunctors-5.6.2-FQ5RPJhXBzGG9mjhRjqwyc text-1.2.5.0 time-1.9.3
    vector-0.12.3.1-3x1pAdfup7PE3zWKaw1ikC

haddock-interfaces:   /usr/share/doc/haskell-ptr/html/ptr.haddock
haddock-html:         /usr/share/doc/haskell-ptr/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

